Espruino 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1186104 漏洞类型 缓冲区错误
发布时间 2018-06-01 更新时间 2018-06-01
CVE编号 CVE-2018-11597 CNNVD-ID CNNVD-201805-1226
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1226
|漏洞详情
Espruino是一款使用在微控制器中的JavaScript解释器。 Espruino 1.99之前版本中存在栈溢出漏洞,该漏洞源于程序缺少对栈耗尽情况的检测。攻击者可借助特制的文件利用该漏洞造成拒绝服务(应用程序崩溃)。
|参考资料
resource:Patch
hyperlink:https://github.com/espruino/Espruino/commit/51380baf17241728b6d48cdb84140b931e3e3cc5
resource:Issue Tracking
hyperlink:https://github.com/espruino/Espruino/issues/1448